Debian Bug report logs - #630043
use dpkg --force-unsafe-io if available

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Fri, 10 Jun 2011 15:06:01 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a18-1

Fixed in version live-build/3.0~a20-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630043; Package live-build. (Fri, 10 Jun 2011 15:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 10 Jun 2011 15:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: use dpkg --force-unsafe-io if available
Date: Fri, 10 Jun 2011 16:02:10 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a18-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

The --force-unsafe-io option was introduced in dpkg 1.15.8.6 (see
#584254).  It's useful for cases where it doesn't matter if unpacked
files are properly preserved across power failures, and live image
builds were one of the main use cases we were thinking about: in the
case of an interrupted live image build, you'd just 'lb clean' and start
again.  Thus, it seems sensible to use it across the board if it's
available.  Patch attached.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Use-dpkg-force-unsafe-io-if-available.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630043; Package live-build. (Sat, 11 Jun 2011 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Jun 2011 11:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 630043@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 630043@bugs.debian.org
Subject: Re: Bug#630043: use dpkg --force-unsafe-io if available
Date: Sat, 11 Jun 2011 13:36:18 +0200
tag 630043 pending
thanks

On 06/10/2011 05:02 PM, Colin Watson wrote:
> The --force-unsafe-io option was introduced in dpkg 1.15.8.6 (see
> #584254).  It's useful for cases where it doesn't matter if unpacked
> files are properly preserved across power failures, and live image
> builds were one of the main use cases we were thinking about: in the
> case of an interrupted live image build, you'd just 'lb clean' and start
> again.  Thus, it seems sensible to use it across the board if it's
> available.  Patch attached.

applied but without the version check, we're supporting >=squeeze only 
anyway.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 11 Jun 2011 11:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630043; Package live-build. (Sat, 11 Jun 2011 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Jun 2011 11:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 630043@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 630043@bugs.debian.org
Subject: Re: Bug#630043: use dpkg --force-unsafe-io if available
Date: Sat, 11 Jun 2011 12:45:59 +0100
On Sat, Jun 11, 2011 at 01:36:18PM +0200, Daniel Baumann wrote:
> On 06/10/2011 05:02 PM, Colin Watson wrote:
> >The --force-unsafe-io option was introduced in dpkg 1.15.8.6 (see
> >#584254).  It's useful for cases where it doesn't matter if unpacked
> >files are properly preserved across power failures, and live image
> >builds were one of the main use cases we were thinking about: in the
> >case of an interrupted live image build, you'd just 'lb clean' and start
> >again.  Thus, it seems sensible to use it across the board if it's
> >available.  Patch attached.
> 
> applied but without the version check, we're supporting >=squeeze
> only anyway.

That will break Ubuntu maverick and earlier; not that I'm going to be
using live-build for those, but I believe Cody Somerville does.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630043; Package live-build. (Sat, 11 Jun 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Jun 2011 11:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 630043@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 630043@bugs.debian.org
Subject: Re: Bug#630043: use dpkg --force-unsafe-io if available
Date: Sat, 11 Jun 2011 13:51:33 +0200
On 06/11/2011 01:45 PM, Colin Watson wrote:
> That will break Ubuntu maverick and earlier; not that I'm going to be
> using live-build for those, but I believe Cody Somerville does.

cody doesn't use live-build directly, he's hand-picking to his own bzr 
branch somewhere. shouldn't be a problem to skip 01a5160.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630043; Package live-build. (Sat, 11 Jun 2011 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 11 Jun 2011 12:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 630043@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 630043@bugs.debian.org
Subject: Re: Bug#630043: use dpkg --force-unsafe-io if available
Date: Sat, 11 Jun 2011 13:04:10 +0100
On Sat, Jun 11, 2011 at 01:51:33PM +0200, Daniel Baumann wrote:
> On 06/11/2011 01:45 PM, Colin Watson wrote:
> >That will break Ubuntu maverick and earlier; not that I'm going to be
> >using live-build for those, but I believe Cody Somerville does.
> 
> cody doesn't use live-build directly, he's hand-picking to his own
> bzr branch somewhere. shouldn't be a problem to skip 01a5160.

Fair enough, then.

-- 
Colin Watson                                       [cjwatson@debian.org]




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 11 Jun 2011 16:21:11 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 16:21:12 GMT) Full text and rfc822 format available.

Message #32 received at 630043-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 630043-close@bugs.debian.org
Subject: Bug#630043: fixed in live-build 3.0~a20-1
Date: Sat, 11 Jun 2011 16:18:12 +0000
Source: live-build
Source-Version: 3.0~a20-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a20-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a20-1_all.deb
live-build_3.0~a20-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a20-1.debian.tar.gz
live-build_3.0~a20-1.dsc
  to main/l/live-build/live-build_3.0~a20-1.dsc
live-build_3.0~a20-1_all.deb
  to main/l/live-build/live-build_3.0~a20-1_all.deb
live-build_3.0~a20.orig.tar.gz
  to main/l/live-build/live-build_3.0~a20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jun 2011 17:46:24 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a20-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 627439 630032 630043 630080
Changes: 
 live-build (3.0~a20-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Dropping handling of --packages in order to simply things handle
     packages scheduled for installation through package lists only.
   * Removing unmaintained chroot_localization script.
 .
   [ Colin Watson ]
   * Use powerpc and powerpc64-smp kernel flavours by default for Ubuntu,
     as there is no powerpc64 flavour (Closes: #630032).
 .
   [ Daniel Baumann ]
   * Correct indenting in powerpc kernel defaults.
 .
   [ Colin Watson ]
   * Use dpkg --force-unsafe-io if available (Closes: #630043).
 .
   [ Daniel Baumann ]
   * Correcting indenting for dpkg sync configuration file.
   * Always disable dpkg sync, we only support squeeze and newer anyway.
 .
   [ Colin Watson ]
   * Fix incorrect Ubuntu defaults for security and volatile mirrors
     (Closes: #630080).
 .
   [ Daniel Baumann ]
   * Reworking chroot_tasks into chroot_local-tasklists, now packages and
     tasks are (almost) handled identical and through local lists only.
   * Creating chroot_local-tasklists directory in config.
   * Using locales-all instead of locales in standard list for progress.
   * Adding support for 'nif' in package lists.
   * Updating and simplyfing conditionals in package lists.
   * Allow to optionally run package installation in two passes.
     Eventually, this allows to have media containing a 'bigger' live
     system that what they end up installing (Closes: #627439).
Checksums-Sha1: 
 6790434c507b9834f5bf368839df636bf843a41d 1282 live-build_3.0~a20-1.dsc
 7f24fee7dad7eeba4add60f4fa81c03f94c7908b 1888244 live-build_3.0~a20.orig.tar.gz
 1fe427abaaef7f346804386285373f5165a91e13 41650 live-build_3.0~a20-1.debian.tar.gz
 d79b7295c2454c83fdda973544f5f60f5289df27 1129634 live-build_3.0~a20-1_all.deb
 7a0db396ac9518f4376c418f9871219fcd63b6b8 58120 live-build-cgi_3.0~a20-1_all.deb
Checksums-Sha256: 
 dc74db4c40a4966c3f710124e20e421b0308c69cc362ac9cfe8cfc4b45a7595a 1282 live-build_3.0~a20-1.dsc
 b227fd4be4088e948f8338c01c2cd79c5f0605670b91ba8d4c20607fc05618ad 1888244 live-build_3.0~a20.orig.tar.gz
 4c1bf5ab480e8788e9c3845abbe0a91b93bd981afa6276b171b7b524a6875202 41650 live-build_3.0~a20-1.debian.tar.gz
 ee20a677daf9178c2c0b0ad971283a33bd2fc8936cb82708787152ba861e5186 1129634 live-build_3.0~a20-1_all.deb
 02810265eb09b21b6bab18dae9c610fa573ba48252e76202130f43f211909ab2 58120 live-build-cgi_3.0~a20-1_all.deb
Files: 
 454c16e4f46d89d261a551c68e32efb9 1282 misc optional live-build_3.0~a20-1.dsc
 71d4d7a5dc10d9860271f7a44c2c2e0c 1888244 misc optional live-build_3.0~a20.orig.tar.gz
 8bb311d0c0268bb2d6c8239fdb239bdf 41650 misc optional live-build_3.0~a20-1.debian.tar.gz
 03d8db61043497cafe626020a5e311aa 1129634 misc optional live-build_3.0~a20-1_all.deb
 4eca7df09b82de4a8e3e016b1b61cb86 58120 misc optional live-build-cgi_3.0~a20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3zkRIACgkQ+C5cwEsrK56ciACeJFx0ZBHFgnIK5XBVF6ja6qbT
EeQAoIeUcXznnRfGPeZE87Z28PLkBioZ
=jpoN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Jul 2011 07:34:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:43:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.